class_name Hub
extends Node2D
# User interface to create liners

signal hub_finished

export (Array, Color) var playerColors = [
	Color.red,
	Color.blue,
	Color.green,
	Color.yellow,
	Color.white,
	Color.cyan,
	Color.magenta,
	Color.orange,
]

var _playerScene = preload("res://Player.tscn")
var _playerActionsLeft = ["p1_left", "p2_left", "p3_left"]
var _playerActionsRight = ["p1_right", "p2_right", "p3_right"]

var _hub_enabled = true

func _unhandled_input(event):
	if event.is_action("ui_accept") and event.is_pressed() and _hub_enabled:
		get_tree().set_input_as_handled()

		# Create players
		var player
		for k in 2:
			player = _playerScene.instance()
			player.turn_left_action = _playerActionsLeft[k]
			player.turn_right_action = _playerActionsRight[k]
			player.position = Vector2()
			player.modulate = playerColors[k]
			add_child(player)
	
		# TODO : make hub interactive
		_hub_enabled = false
		emit_signal("hub_finished")
